PHPVibe Requirements

What your hosting/VPS/Dedicated needs to have to run the PHPVibe cms

Optional: FFMPEG 2013 version or newer for video conversions, thumbnail and duration automatic extraction.

FFMPEG

FFmpeg is a complete, cross-platform solution to record, convert and stream audio and video.
It’s also needed to extract duration and thumbnails from video files.

FFMPEG video conversion is optional but needs the following to work:

– FFMPEG 1.x+

Compiled with Video and Audio Codecs (needs x264)

Our FFMPEG setup

We test and build on this FFMPEG setup

– Exec & Shell_exec

Enabled and working good on the server.

Warning: PHPVibe doesn’t work with FFMPEG 0.6 or any version under 1.0!
If you are new to this, please contact your hosting regarding this requirements.

More info

For more information on setting up your server please see our Server setup tips also (for clients only) the Tutorials board which holds some more tips and tricks.